org.deidentifier.arx.reliability

## Class IntervalDouble

- java.lang.Object
- - org.deidentifier.arx.reliability.IntervalDouble

All Implemented Interfaces:
  java.io.Serializable

    public class IntervalDouble
    extends java.lang.Object
    implements java.io.Serializable

A basic double interval

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Field Summary

Fields
`double` `lower` Lower
`double` `upper` Upper

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `contains(double value)` Returns whether this interval contains the given value
`double` `getError()` Returns the range of this interval
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### lower

    public final double lower

Lower

#### upper

    public final double upper

Upper

### Method Detail

#### contains

    public boolean contains(double value)

Returns whether this interval contains the given value

Parameters:
  `value` -
Returns:

#### getError

    public double getError()

Returns the range of this interval

Returns:

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`